# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_DatumReference Class Reference

Representation of STEP entity DatumReference
.

`#include <StepDimTol_DatumReference.hxx>`

## Public Member Functions

Standard_EXPORT | StepDimTol_DatumReference ()
| Empty constructor .
Standard_EXPORT void | Init (const Standard_Integer aPrecedence, const Handle(StepDimTol_Datum)&aReferencedDatum)
| Initialize all fields (own and inherited) .
Standard_EXPORT Standard_Integer | Precedence () const
| Returns field Precedence .
Standard_EXPORT void | SetPrecedence (const Standard_Integer Precedence)
| Set field Precedence .
Standard_EXPORT Handle_StepDimTol_Datum | ReferencedDatum () const
| Returns field ReferencedDatum .
Standard_EXPORT void | SetReferencedDatum (const Handle(StepDimTol_Datum)&ReferencedDatum)
| Set field ReferencedDatum .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | thePrecedence
Handle_StepDimTol_Datum | theReferencedDatum

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_DatumReference::StepDimTol_DatumReference | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepDimTol_DatumReference::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepDimTol_DatumReference::Init | ( | const Standard_Integer | aPrecedence,
|  | const Handle(StepDimTol_Datum)& | aReferencedDatum
| ) |

Standard_EXPORT Standard_Integer StepDimTol_DatumReference::Precedence | ( |  | ) | const

Standard_EXPORT Handle_StepDimTol_Datum StepDimTol_DatumReference::ReferencedDatum | ( |  | ) | const

Standard_EXPORT void StepDimTol_DatumReference::SetPrecedence | ( | const Standard_Integer | Precedence | ) |

Standard_EXPORT void StepDimTol_DatumReference::SetReferencedDatum | ( | const Handle(StepDimTol_Datum)& | ReferencedDatum | ) |

## Field Documentation

Standard_Integer StepDimTol_DatumReference::thePrecedence `[private]`

Handle_StepDimTol_Datum StepDimTol_DatumReference::theReferencedDatum `[private]`

The documentation for this class was generated from the following file:

- StepDimTol_DatumReference.hxx